clear all
set more off

* change to directory
cd " " // insert the name of the directory in which the replication files are stored

* start log
cap log close
set linesize 200
log using Bietenbeck_results.txt, text replace


**************************************************************************
**************************************************************************
** RUN DO FILES TO CREATE FIGURES AND TABLES IN THE ORDER THEY APPEAR
**                      IN THE PUBLISHED PAPER
**************************************************************************
**************************************************************************

* set global preferences
set scheme s1mono
graph set window fontface "Times New Roman"
global studentbg = "male black gkfreelunch age_years gkoldforgrade"

* clean raw data
do clean_data.do

* reproduce figures and tables in the order they are mentioned in the paper
do figure1.do

do table1.do

do figure2.do

do online_appendix_figureC1.do

do appendix_table1.do

do table2.do

do figure3.do

do table3.do

do table4.do

do table5.do

do figure4.do

do table6.do

do online_appendix_tableC1.do

do online_appendix_tableC2.do

do online_appendix_tableC3.do

do table7.do

do online_appendix_figureC2.do

do online_appendix_tableC4.do

do online_appendix_tableC5.do

do appendix_table2.do

do online_appendix_tableC6.do

do online_appendix_tableC7.do

do online_appendix_tableC8.do

do online_appendix_tableC9.do

* close log
log close
