set more off
set scheme s1mono

**************************************************************************		
**************************************************************************		
**                   ONLINE APPENDIX FIGURE C.1
**  IN SEPARATE REGRESSIONS OF REPEATER STATUS ON CLASS FIXED EFFECTS
**   IN EACH SCHOOL, P-VALUES FROM F-TESTS ARE UNIFORMLY DISTRIBUTED
**************************************************************************		
**************************************************************************		

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)
keep if gkschool_nofgrep > 0

* histogram of p-values
cap mat drop PVALS
mat PVALS = [.]
levelsof gkschoolid, local(schools)
foreach s of local schools {
	qui reg gkofgrepeater i.gkclassid if gkschoolid == "`s'"
	qui testparm i.gkclassid
	mat PVALS = PVALS\[`r(p)']
}

clear
svmat PVALS

sum

hist PVALS1, start(0) width(0.1) freq xtitle("{it:p}", height(5)) ytitle("number of schools", height(5)) xlabel(0(.1)1) xscale(r(-0.1 1.1)) ylabel(0(4)12) yscale(r(0 13))
