set more off

**************************************************************************
**************************************************************************
**    TABLE 2: REPEATER EXPOSURE AND END-OF-KINDERGARTEN TEST SCORES
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

global studentbg = "male black gkfreelunch age_years gkoldforgrade"

eststo clear

qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkmath_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkread_std gkclass_ofgrep_dummy gksmallclass if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg gkread_std gkclass_ofgrep_dummy gksmallclass $studentbg if gkofgrepeater == 0, absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy $studentbg gksmallclass) order(gkclass_ofgrep_dummy $studentbg gkclasssize) ///
	    mtitles("Math" "Math" "Reading" "Reading") label compress nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3)
