set more off

**************************************************************************
**************************************************************************
**   TABLE 6: NON-COGNITIVE SKILLS AS A CHANNEL FOR LONG-TERM IMPACTS
**************************************************************************
**************************************************************************

use STAR_students_clean.dta, clear
keep if gk == 1 & (gkrepeater == 0 | gkofgrepeater == 1)

eststo clear

qui eststo: areg hsindex_std g4g8noncog_std $studentbg gksmallclass if gkofgrepeater == 0 & g4g8noncog_std != ., absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hsindex_std gkclass_ofgrep_dummy $studentbg gksmallclass if gkofgrepeater == 0 & g4g8noncog_std != ., absorb(gkschoolid) cluster(gkclassid)
qui eststo: areg hsindex_std gkclass_ofgrep_dummy g4g8noncog_std $studentbg gksmallclass if gkofgrepeater == 0 & g4g8noncog_std != ., absorb(gkschoolid) cluster(gkclassid)

esttab, keep(gkclass_ofgrep_dummy g4g8noncog_std) order(gkclass_ofgrep_dummy) nomtitles label r2 nogaps se star(* 0.10 ** 0.05 *** 0.01) varwidth(28) b(3)

* column 4: test of equality of coefficients between the specifications in columns (2) and (3)
gen gkschoolid_num = real(gkschoolid)

eststo clear

qui eststo col2: reg hsindex_std gkclass_ofgrep_dummy $studentbg gksmallclass i.gkschoolid_num if gkofgrepeater == 0 & g4g8noncog_std != .
qui eststo col3: reg hsindex_std gkclass_ofgrep_dummy g4g8noncog_std $studentbg gksmallclass i.gkschoolid_num if gkofgrepeater == 0 & g4g8noncog_std != .

qui suest col2 col3, vce(cluster gkclassid)
test [col2_mean]gkclass_ofgrep_dummy = [col3_mean]gkclass_ofgrep_dummy
